laitimes

Solidworks symbol separation macro code (two spaces separated)

author:54 weeks Xiaoxian

Dim swApp As Object

Dim Part As Object

Dim SelMgr As Object

Dim boolstatus As Boolean

Dim longstatus As Long, longwarnings As Long

Dim Feature As Object

Dim a As Integer

Dim b As String

Dim m As String

Dim e As String

Dim k As String

Dim t As String

Dim c As String

Dim j As Integer

Dim strmat As String

Dim tempvalue As String

Sub main()

'link solidworks

Set swApp = Application.SldWorks

Set Part = swApp.ActiveDoc

Set SelMgr = Part.SelectionManager

swApp.ActiveDoc.ActiveView.FrameState = 1

' Set the variable

c = swApp.ActiveDoc.GetTitle() 'Part name

strmat = Chr(34) + Trim("SW material" + "@") + c + Chr(34)

blnretval = Part.DeleteCustomInfo2("", "Figure/Model")

blnretval = Part.DeleteCustomInfo2("", "Name")

blnretval = Part.DeleteCustomInfo2("", "Material")

a = InStr(c, " ") - 1 ' Emphasis: Delimited identifier, here a space

If a > 0 Then

k = Left(c, a)

t = Left(LTrim(e), 3)

If t = "GBT" Then

e = "GB/T" + Mid(k, 4)

Else

e = k

End If

b = Mid(c, a + 2)

t = Right(c, 7)

If t = ". SLDPRT" Or t = ". SLDASM" Then

j = Len(b) - 7

j = Len(b)

m = Left(b, j)

End If

blnretval = Part.AddCustomInfo3("", "Figure/Model", swCustomInfoText, e) 'Figure Number/Model

blnretval = Part.AddCustomInfo3("", "Name", swCustomInfoText, m) 'name

blnretval = Part.AddCustomInfo3("", "finish", swCustomInfoText, "")

End Sub

Read on